%define upstream_name    Image-SubImageFind
%define upstream_version 0.03

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
%define subrel 1
Release:    %mkrel 2

Summary:    Perl extension for locating a sub-image within an image
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Image/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: libfftw-devel
BuildRequires: libmagick-devel
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel

%description
Perl module to aide in locating a sub-image within an image.

%prep
#setup -q -n %{upstream_name}-%{upstream_version}
%setup -q -n %{upstream_name}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test || :

%install
%makeinstall_std

%files
%doc README Changes
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Tue Jun 21 2016 shlomif <shlomif> 0.30.0-2.1.mga5
+ Revision: 1037108
- Rebuild for the new libMagick++

* Wed Oct 15 2014 umeabot <umeabot> 0.30.0-2.mga5
+ Revision: 740777
- Second Mageia 5 Mass Rebuild

* Fri Oct 03 2014 tv <tv> 0.30.0-1.mga5
+ Revision: 736330
- ignore testsuite faillures

  + jquelin <jquelin>
    - imported package perl-Image-SubImageFind

